Package org.apache.storm.trident

## Class TridentState

- java.lang.Object
- - org.apache.storm.trident.TridentState

- All Implemented Interfaces:
    `ResourceDeclarer<TridentState>`

      public class TridentState
      extends Object
      implements ResourceDeclarer<TridentState>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TridentState​(TridentTopology topology, Node node)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TridentState` | `addSharedMemory​(SharedMemory request)` | Add in request for shared memory that this component will use.
    `Stream` | `newValuesStream()` |
    `TridentState` | `parallelismHint​(int parallelism)` |
    `TridentState` | `setCPULoad​(Number load)` | Set the amount of CPU load for this component.
    `TridentState` | `setMemoryLoad​(Number onHeap)` | Set the amount of on heap memory for this component.
    `TridentState` | `setMemoryLoad​(Number onHeap, Number offHeap)` | Set the amount of memory for this component on and off heap.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TridentState

          protected TridentState​(TridentTopology topology,
                                 Node node)

  - ### Method Detail

    - #### newValuesStream

          public Stream newValuesStream()

    - #### parallelismHint

          public TridentState parallelismHint​(int parallelism)

    - #### setCPULoad

          public TridentState setCPULoad​(Number load)

      Description copied from interface: `ResourceDeclarer`
      Set the amount of CPU load for this component.
      Specified by:
        `setCPULoad` in interface `ResourceDeclarer<TridentState>`
      Parameters:
        `load` - the amount of CPU
      Returns:
        this for chaining

    - #### setMemoryLoad

          public TridentState setMemoryLoad​(Number onHeap)

      Description copied from interface: `ResourceDeclarer`
      Set the amount of on heap memory for this component.
      Specified by:
        `setMemoryLoad` in interface `ResourceDeclarer<TridentState>`
      Parameters:
        `onHeap` - the amount of on heap memory
      Returns:
        this for chaining

    - #### setMemoryLoad

          public TridentState setMemoryLoad​(Number onHeap,
                                            Number offHeap)

      Description copied from interface: `ResourceDeclarer`
      Set the amount of memory for this component on and off heap.
      Specified by:
        `setMemoryLoad` in interface `ResourceDeclarer<TridentState>`
      Parameters:
        `onHeap` - the amount of on heap memory
        `offHeap` - the amount of off heap memory
      Returns:
        this for chaining

    - #### addSharedMemory

          public TridentState addSharedMemory​(SharedMemory request)

      Description copied from interface: `ResourceDeclarer`
      Add in request for shared memory that this component will use. See `SharedOnHeap`, `SharedOffHeapWithinNode`, and `SharedOffHeapWithinWorker` for convenient ways to create shared memory requests.
      Specified by:
        `addSharedMemory` in interface `ResourceDeclarer<TridentState>`
      Parameters:
        `request` - the shared memory request for this component
      Returns:
        this for chaining